import request from '@/utils/request'

// 查询审核配置列表
export function listConfig(query) {
  return request({
    url: '/system/audit/config/list',
    method: 'get',
    params: query
  })
}

// 查询审核配置详细
export function getConfig(id) {
  return request({
    url: '/system/audit/config/' + id,
    method: 'get'
  })
}

// 新增审核配置
export function addConfig(data) {
  return request({
    url: '/system/audit/config',
    method: 'post',
    data: data
  })
}

// 修改审核配置
export function updateConfig(data) {
  return request({
    url: '/system/audit/config',
    method: 'put',
    data: data
  })
}

// 删除审核配置
export function delConfig(id) {
  return request({
    url: '/system/audit/config/' + id,
    method: 'delete'
  })
}
